Asterisk.org: Developer Documentation (28 Oct 2009)

Wed Oct 28 15:49:31 2009

## Asterisk developer's documentation

# ast_modem_pvt Struct Reference

`#include <vmodem.h>`

Collaboration diagram for ast_modem_pvt:

[legend]

## Data Fields

char | cid_name [AST_MAX_EXTENSION]
char | cid_num [AST_MAX_EXTENSION]
char | context [AST_MAX_EXTENSION]
char | dev [256]
char | dialtimeout
char | dialtype
char | dnid [AST_MAX_EXTENSION]
struct ast_dsp * | dsp
int | dtmfmode
int | dtmfmodegen
char | dtmfrx
int | escape
FILE * | f
int | faxhandled
int | fd
struct ast_frame | fr
int | gotclid
ast_group_t | group
char | incomingmsn [AST_MAX_EXTENSION]
char | initstr [AST_MAX_INIT_STR]
char | language [MAX_LANGUAGE]
time_t | lastring
struct ast_modem_driver * | mc
int | ministate
int | mode
char | msn [AST_MAX_EXTENSION]
struct ast_modem_pvt * | next
char | obuf [MODEM_MAX_BUF]
int | obuflen
char | offset [AST_FRIENDLY_OFFSET]
char | outgoingmsn [AST_MAX_EXTENSION]
struct ast_channel * | owner
char | response [256]
int | ringt
int | stripmsd
int | tail

## Detailed Description

Private data that needs to be filled by modem driver

Definition at line 79 of file vmodem.h.

## Field Documentation

char cid_name[AST_MAX_EXTENSION]

Caller ID if available

Definition at line 131 of file vmodem.h.

Referenced by ast_modem_new(), bestdata_handle_escape(), mkif(), and modem_hangup().

char cid_num[AST_MAX_EXTENSION]

Caller ID if available

Definition at line 133 of file vmodem.h.

Referenced by ast_modem_new(), bestdata_handle_escape(), i4l_read(), mkif(), and modem_hangup().

char context[AST_MAX_EXTENSION]

Definition at line 121 of file vmodem.h.

Referenced by ast_modem_new(), and mkif().

char dev[256]

Definition at line 87 of file vmodem.h.

Referenced by aopen_read(), ast_modem_new(), bestdata_read(), do_monitor(), i4l_answer(), i4l_dialdigit(), i4l_read(), i4l_startrec(), mkif(), modem_request(), modem_setup(), and stty().

char dialtimeout

Time to wait for dial timeout

Definition at line 99 of file vmodem.h.

char dialtype

Pulse or tone dialling

Definition at line 97 of file vmodem.h.

Referenced by aopen_dial(), bestdata_dial(), i4l_dial(), and mkif().

char dnid[AST_MAX_EXTENSION]

Dialed Number if available

Definition at line 141 of file vmodem.h.

Referenced by ast_modem_new(), i4l_read(), and modem_hangup().

struct ast_dsp* dsp`[read]`

DSP for DTMF detection

Definition at line 139 of file vmodem.h.

Referenced by i4l_answer(), i4l_hangup(), i4l_read(), and i4l_startrec().

int dtmfmode

DTMF-detection mode (i4l/asterisk)

Definition at line 135 of file vmodem.h.

Referenced by i4l_answer(), i4l_read(), i4l_startrec(), and mkif().

int dtmfmodegen

DTMF-generation mode (i4l (outband) / asterisk (inband)

Definition at line 137 of file vmodem.h.

Referenced by i4l_dialdigit(), and mkif().

char dtmfrx

dtmf receive state/data

Definition at line 119 of file vmodem.h.

Referenced by bestdata_handle_escape(), bestdata_hangup(), and bestdata_read().

int escape

Is the last thing we saw an escape

Definition at line 109 of file vmodem.h.

Referenced by i4l_init(), and i4l_read().

FILE* f

FILE * representation of device

Definition at line 83 of file vmodem.h.

Referenced by aopen_read(), ast_modem_expect(), ast_modem_read_response(), ast_modem_send(), bestdata_read(), bestdata_write(), i4l_read(), i4l_write(), and mkif().

int faxhandled

Definition at line 113 of file vmodem.h.

Referenced by i4l_read().

int fd

Raw file descriptor for this device

Definition at line 81 of file vmodem.h.

Referenced by __unload_module(), ast_modem_expect(), ast_modem_new(), ast_modem_read_response(), do_monitor(), i4l_dialdigit(), i4l_hangup(), i4l_read(), i4l_write(), mkif(), and stty().

struct ast_frame fr`[read]`

Frame

Definition at line 89 of file vmodem.h.

Referenced by aopen_handle_escape(), aopen_read(), bestdata_handle_escape(), bestdata_read(), i4l_handle_escape(), and i4l_read().

int gotclid

flag to say if has caller*id yet

Definition at line 111 of file vmodem.h.

Referenced by bestdata_handle_escape(), and bestdata_hangup().

ast_group_t group

Group(s) we belong to if available

Definition at line 129 of file vmodem.h.

Referenced by mkif(), and modem_request().

char incomingmsn[AST_MAX_EXTENSION]

Multiple Subscriber Number we listen to (; separated list)

Definition at line 125 of file vmodem.h.

Referenced by i4l_init(), and mkif().

char initstr[AST_MAX_INIT_STR]

Modem initialization String

Definition at line 143 of file vmodem.h.

Referenced by mkif(), and modem_setup().

char language[MAX_LANGUAGE]

default language

Definition at line 145 of file vmodem.h.

Referenced by ast_modem_new(), and mkif().

time_t lastring

actual time of last ring

Definition at line 117 of file vmodem.h.

Referenced by bestdata_answer(), bestdata_handle_escape(), and bestdata_hangup().

struct ast_modem_driver* mc`[read]`

Modem Capability

Definition at line 149 of file vmodem.h.

Referenced by ast_modem_new(), modem_answer(), modem_call(), modem_digit(), modem_hangup(), modem_mini_packet(), modem_read(), modem_request(), modem_setup(), and modem_write().

int ministate

State of modem in miniature

Definition at line 105 of file vmodem.h.

Referenced by aopen_init(), aopen_read(), aopen_startrec(), bestdata_break(), bestdata_dial(), bestdata_dialdigit(), bestdata_init(), bestdata_read(), bestdata_startplay(), bestdata_startrec(), bestdata_write(), i4l_answer(), i4l_dialdigit(), i4l_init(), i4l_read(), i4l_startrec(), and mkif().

int mode

Immediate, or wait for an answer

Definition at line 103 of file vmodem.h.

Referenced by aopen_read(), bestdata_read(), and mkif().

char msn[AST_MAX_EXTENSION]

Multiple Subscriber Number

Definition at line 123 of file vmodem.h.

Referenced by i4l_init(), and mkif().

struct ast_modem_pvt* next`[read]`

Next channel in list

Definition at line 151 of file vmodem.h.

Referenced by __unload_module(), do_monitor(), load_module(), mkif(), and modem_request().

char obuf[MODEM_MAX_BUF]

Outgoing buffer

Definition at line 93 of file vmodem.h.

Referenced by aopen_read(), bestdata_read(), and i4l_read().

int obuflen

Definition at line 101 of file vmodem.h.

Referenced by aopen_read(), bestdata_read(), i4l_read(), and mkif().

char offset[AST_FRIENDLY_OFFSET]

Definition at line 91 of file vmodem.h.

char outgoingmsn[AST_MAX_EXTENSION]

Multiple Subscriber Number we accept for outgoing calls (; separated list)

Definition at line 127 of file vmodem.h.

Referenced by i4l_dial(), and mkif().

struct ast_channel* owner`[read]`

Channel we belong to, possibly NULL

Definition at line 85 of file vmodem.h.

Referenced by __unload_module(), aopen_handle_escape(), ast_modem_new(), bestdata_handle_escape(), bestdata_write(), do_monitor(), i4l_dial(), i4l_handle_escape(), i4l_read(), mkif(), modem_fixup(), modem_hangup(), and modem_request().

char response[256]

Static response buffer

Definition at line 147 of file vmodem.h.

Referenced by aopen_answer(), aopen_dialdigit(), aopen_identify(), aopen_setdev(), ast_modem_expect(), ast_modem_read_response(), bestdata_answer(), bestdata_dialdigit(), bestdata_handle_escape(), bestdata_identify(), i4l_answer(), i4l_setdev(), and modem_setup().

int ringt

ringer timeout

Definition at line 115 of file vmodem.h.

Referenced by bestdata_answer(), bestdata_handle_escape(), bestdata_hangup(), and bestdata_read().

int stripmsd

Digits to strip on outgoing numbers

Definition at line 107 of file vmodem.h.

Referenced by mkif(), and modem_call().

int tail

Definition at line 95 of file vmodem.h.

The documentation for this struct was generated from the following file:

- vmodem.h